#include <iostream>
#include <iomanip>

using namespace std;

int main()
{
    int n;
    int novac[n];
    double porez[n];
    int i,j;
    cin >> n;
    for (i=0;i <n; i++)
    {
        cin>>novac[i]>>porez[i];
    }
    double max = 0;
    double sum=0;
    double vrednost;
    for(i=0; i<n; i++)
    {
        for(j=0; j<n; j++)
        {
            if(porez[i]<=porez[j])
                sum += porez[i]*novac[j];
        }
        if (sum>max) {max=sum; vrednost=porez[i];}
        sum = 0;
    }
    max/=100;
    cout<<fixed<<setprecision(4)<<max;
    return 0;
}